summaryrefslogtreecommitdiff
path: root/recipes-core
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2019-05-28 22:53:46 -0500
committerJohn Klug <john.klug@multitech.com>2019-07-05 11:08:20 -0500
commit9100fd5920bd1e21894bdcf12e659c100778c0b8 (patch)
treeab2b4c3a7e9f315abac0b1ce789b9f88c5a6d526 /recipes-core
parentdd7843d5a587dc926df379419a9c7721b177133f (diff)
downloadmeta-mlinux-9100fd5920bd1e21894bdcf12e659c100778c0b8.tar.gz
meta-mlinux-9100fd5920bd1e21894bdcf12e659c100778c0b8.tar.bz2
meta-mlinux-9100fd5920bd1e21894bdcf12e659c100778c0b8.zip
Fix up gadget and ifplugd for mLinux MTHS test image.
Diffstat (limited to 'recipes-core')
-rw-r--r--recipes-core/multitech/config/config-mths/default/dnsmasq17
-rw-r--r--recipes-core/multitech/config/config-mths/default/usb-gadget6
-rwxr-xr-xrecipes-core/multitech/config/config-mths/ifplugd/ifplugd.action30
-rw-r--r--recipes-core/multitech/config/config-mths/ifplugd/usb0.conf2
-rw-r--r--recipes-core/multitech/config/config-mths/network/interfaces.mths4
5 files changed, 57 insertions, 2 deletions
diff --git a/recipes-core/multitech/config/config-mths/default/dnsmasq b/recipes-core/multitech/config/config-mths/default/dnsmasq
index a27c1c6..129fda1 100644
--- a/recipes-core/multitech/config/config-mths/default/dnsmasq
+++ b/recipes-core/multitech/config/config-mths/default/dnsmasq
@@ -1,3 +1,5 @@
+# MTHS dnsmasq
+# and a hook to set up config files for MTHS
ENABLED="yes"
# This configuration is for manufacturing test.
@@ -8,3 +10,18 @@ fi
# Stop ntpd. ntpd default is in root.
sed -i 's/ENABLED="yes"/ENABLED="no"/' /etc/default/ntpd
+# Use the ifplugd in /var/config
+if ! [[ -L /etc/ifplugd ]] ; then
+ rm -rf /etc/ifplugd
+ ln -s /var/config/ifplugd /etc/ifplugd
+ # ifplugd is already started (and probably bombed)
+ # restart it.
+ /etc/init.d/ifplugd stop
+ /etc/init.d/ifplugd start
+fi
+
+if ! [[ -L /etc/default/usb-gadget ]] && [[ -f /var/config/default/usb-gadget ]] ; then
+ rm -rf /etc/default/usb-gadget
+ ln -s /var/config/default/usb-gadget /etc/default/usb-gadget
+fi
+
diff --git a/recipes-core/multitech/config/config-mths/default/usb-gadget b/recipes-core/multitech/config/config-mths/default/usb-gadget
new file mode 100644
index 0000000..944ef8a
--- /dev/null
+++ b/recipes-core/multitech/config/config-mths/default/usb-gadget
@@ -0,0 +1,6 @@
+# set to "no" to disable usb-gadget
+ENABLED="yes"
+
+USB_MODE="networking"
+MODULE_OPTIONS=""
+
diff --git a/recipes-core/multitech/config/config-mths/ifplugd/ifplugd.action b/recipes-core/multitech/config/config-mths/ifplugd/ifplugd.action
new file mode 100755
index 0000000..e7184c7
--- /dev/null
+++ b/recipes-core/multitech/config/config-mths/ifplugd/ifplugd.action
@@ -0,0 +1,30 @@
+#!/bin/sh
+# $Id: ifplugd.action 99 2004-02-08 20:17:59Z lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+set -e
+
+if [ -z "$1" ] || [ -z "$2" ] ; then
+ echo "Wrong arguments" > /dev/stderr
+ exit 1
+fi
+
+[ "$2" = "up" ] && exec /sbin/ifup $1
+[ "$2" = "down" ] && exec /sbin/ifdown $1
+
+exit 0
diff --git a/recipes-core/multitech/config/config-mths/ifplugd/usb0.conf b/recipes-core/multitech/config/config-mths/ifplugd/usb0.conf
new file mode 100644
index 0000000..2fa70b3
--- /dev/null
+++ b/recipes-core/multitech/config/config-mths/ifplugd/usb0.conf
@@ -0,0 +1,2 @@
+INTERFACE="usb0"
+ARGS="-M -fI -i ${INTERFACE} -u 0 -d 10 -r /etc/ifplugd/ifplugd.action"
diff --git a/recipes-core/multitech/config/config-mths/network/interfaces.mths b/recipes-core/multitech/config/config-mths/network/interfaces.mths
index 0f1541e..689ce0b 100644
--- a/recipes-core/multitech/config/config-mths/network/interfaces.mths
+++ b/recipes-core/multitech/config/config-mths/network/interfaces.mths
@@ -5,8 +5,8 @@ netmask 255.0.0.0
pre-up bash -c '([[ -d /sys/class/net/wifi1 ]] || /opt/rs9113/onebox_util rpine0 create_vap wifi1 ap)'
# Gadget USB
-auto usb1
-iface usb1 inet static
+auto usb0
+iface usb0 inet static
address 192.168.2.1
netmask 255.255.255.0